[ubuntu/precise] foomatic-filters 4.0.12-1 (Accepted)

Till Kamppeter till.kamppeter at gmail.com
Thu Feb 16 19:21:11 UTC 2012

foomatic-filters (4.0.12-1) unstable; urgency=low

  [ Till Kamppeter ]
  * New upstream release
     - If incoming PDF needs to be converted to PostScript
       due to the filter command line not being a standard Ghostscript
       command line, no separate PDF command line being supplied, or
       options in the PPD being implemented by PostScript code, use
       preferrably Ghostscript (with the "ps2write" device) for this
       conversion as Ghostscript is better optimized for printing and
       has a more sophisticated color management compared to Poppler.
     - SECURITY FIX: Use the mktemp shell command/mkstemp() function to create
       the debug log file and the renderer input data file (both files only
       generated when foomatic-rip is un in debug mode) with file names with an
       unpredictable part. The names are /tmp/foomatic-rip-XXXXXX.log and
       /tmp/foomatic-rip-YYYYYY.ps where the XXXXXX and YYYYYY are replaced by
       random strings. Thanks to Tim Waugh from Red Hat for for the patch
       (Upstream bug #936, CVE-2011-2924).
  * debian/patches/use-ghostscript-for-pdf-to-ps.patch: Removed, merged

Date: 2012-02-13 03:23:19.589863+00:00
Signed-By: Till Kamppeter <till.kamppeter at gmail.com>
-------------- next part --------------
Sorry, changesfile not available.

More information about the Precise-changes mailing list